# Default values for ycast.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 2

image:
  repository: nicoinn/ycast
  pullPolicy: Always
  # Overrides the image tag whose default is the chart appVersion.
  tag: "latest"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

stations: 
    DeepHouse:
      Deep House Radio: http://37.187.93.104:8589/deep

    Electronic:
      Deep House Lounge: http://198.15.94.34:8006
      Ibiza Sonica: http://s1.sonicabroadcast.com:7005/stream
      Bassdrive: http://50.7.98.106:8200
      SomaFM Fluid: http://ice1.somafm.com/fluid-128-mp3

    Chillout:
      Joint Radio: http://radio.jointil.net:9998
      SomaFM DEF CON Radio: http://ice1.somafm.com/defcon-256-mp3
      SomaFM Drone Zone: http://ice1.somafm.com/dronezone-256-mp3
      SomaFM Mission Control: http://ice1.somafm.com/missioncontrol-128-mp3
      The Jazz Groove: http://west-mp3-128.streamthejazzgroove.com
      Radionomy Downbeat: http://streaming.radionomy.com/TempoOfTheDownbeat1

    Casual:
      76Radio: http://192.240.102.133:9566/stream
      SomaFM Beat Blender: http://ice1.somafm.com/beatblender-128-mp3
      Jazz Radio Electro Swing: http://jazz-wr04.ice.infomaniak.ch/jazz-wr04-128.mp3
      SomaFM Groove Salad: http://ice1.somafm.com/groovesalad-256-mp3
      SomaFM Lush: http://ice1.somafm.com/lush-128-mp3
      Allzic Radio R&B: http://allzic10.ice.infomaniak.ch/allzic10.mp3
      The UK 1940s Radio Station: http://91.121.134.23:8100/1

podSecurityContext: 
  fsGroup: 2000

securityContext: 
  #capabilities: {}
  #    drop:
  #  - ALL
  readOnlyRootFilesystem: true
  #runAsNonRoot: true
  #runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: 
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 250m
    memory: 128Mi
  requests:
    cpu: 50m
    memory: 64Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
